#include "mainwindow.h"

#include <QList>

#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
    QList<QString> list;
    list.append("rtmp://liteavapp.qcloud.com/live/liteavdemoplayerstreamid");
    list.append("rtsp://182.92.130.23/nmyj/video");
    list.append("rtmp://182.92.130.23/nmyj/video");
    list.append("rtmp://ns8.indexforce.com/home/mystream");
    // ui->videoWidget->udpPlay("172.10.1.199", 13001);
    ui->videoWidget->setVedioSaveFileDirPath("./video");

    ui->videoWidget->play(list.at(1));
    // ui->videoWidget->pushStream("udp://172.10.1.199:8009");
}

MainWindow::~MainWindow() {
    delete ui;
}
